import 'package:flutter/material.dart';
import 'package:quiver/iterables.dart';

class CustomTableView extends StatelessWidget {
  final List<Widget> children;
  final double itemCount;

  CustomTableView({
    this.children,
    this.itemCount
  });

  @override
  Widget build(BuildContext context) {
    return Table(
      children: [for (final children in partition(children, itemCount.toInt())) TableRow(
          children: children
      )],
    );
  }
}
