import 'package:flutter/material.dart';

class TitleView extends StatelessWidget {
  final String title;
  final Alignment align;

  TitleView({
    this.title,
    this.align
  });

  @override
  Widget build(BuildContext context) {
    return Align(
      alignment: align ?? Alignment.centerLeft,
      child: Padding(
        padding: const EdgeInsets.only(top: 16.0, left: 16.0, right: 16.0),
        child: Text(title,
            style: TextStyle(color: Theme.of(context).accentColor)),
      ),
    );
  }
}
